Bug 160764 - If libinotify is installed, net/avahi-app doesn't build
If libinotify is installed, net/avahi-app doesn't build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-16 13:30 UTC by michiel.ml
Modified: 2012-01-19 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description michiel.ml 2011-09-16 13:30:09 UTC
When libinotify is installed, avahi-app no longer compiles - which triggers a long list of things that also not compile.

Configure outputs:

 Enable Linux inotify:                      yes

[..]

The following error then occurs:


avahi_daemon-main.o(.text+0x5d5): In function `add_inotify_watches':
: undefined reference to `inotify_add_watch'
avahi_daemon-main.o(.text+0x11f2): In function `run_server':
: undefined reference to `inotify_init'
avahi_daemon-main.o(.text+0x5ee): In function `add_inotify_watches':
: undefined reference to `inotify_add_watch'
gmake[2]: *** [avahi-daemon] Error 1
gmake[2]: Leaving directory `/usr/ports/net/avahi-app/work/avahi-0.6.29/avahi-daemon'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/avahi-app/work/avahi-0.6.29'
gmake: *** [all] Error 2
*** Error code 1

How-To-Repeat: Install devel/libinotify, try to compile net/avahi-app.
Comment 1 Mark Linimon freebsd_committer 2011-09-16 15:11:47 UTC
Responsible Changed
From-To: freebsd-amd64->gnome

Make this a ports PR, fix Synopsis, and assign.
Comment 2 jhein 2011-09-20 18:08:51 UTC
This probably breaks a number of other ports as well.
devel/glib20 is another, for instance.

For many of these ports that break when libinotify is installed,
adding -linotify to LDFLAGS helps it find the library (and thus
satisfy undefined references).  Whether that is the right thing to do
(have a port built that actually uses this BSD incarnation of inotify
successfully) for a particular port is a separate question, but it
gets it compiling.

In theory, devel/libinotify can be helpful for some of our ports now.
For instance, devel/gamin could use it which may solve the problem of
gam_server holding so many open file descriptors when using the kqueue
implementation.
Comment 3 dfilter freebsd_committer 2012-01-19 17:13:24 UTC
ahze        2012-01-19 17:13:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/glib20         Makefile 
    net/avahi-app        Makefile 
  Log:
  Always disable libinofity to fix build if devel/libinotify is installed
  
  PR:             ports/160764
  Reported by:    Michiel Leenaars <michiel.ml@nlnet.nl>
                  John Hein <jhein@symmetricom.com>
  Approved by:    pav
  
  Revision  Changes    Path
  1.182     +2 -0      ports/devel/glib20/Makefile
  1.33      +2 -0      ports/net/avahi-app/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 ahze freebsd_committer 2012-01-19 17:13:31 UTC
State Changed
From-To: open->closed

Fixed by disabling libinotify, Thanks for the report!